nvme_zns_report_zones(2)

NAME
nvme_zns_report_zones - Return the list of zones

SYNOPSIS
int nvme_zns_report_zones (int fd , __u32 nsid , __u64 slba , enum nvme_zns_report_options opts , bool extended , bool partial , __u32 data_len , void *data , __u32 timeout , __u32 *result );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace ID

slba
    Starting LBA

opts
    Reporting options

extended
    Extended report

partial
    Partial report requested

data_len
    Length of the data buffer

data
    Userspace address of the report zones data

timeout
    timeout in ms

result
    The command completion result from CQE dword0

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.